This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 268803

Summary: provide proxy password via NetworkSettings
Product: platform Reporter: Tomas Stupka <tstupka>
Component: -- Other --Assignee: Tomas Stupka <tstupka>
Status: RESOLVED FIXED    
Severity: normal CC: apireviews
Priority: P3 Keywords: API_REVIEW_FAST
Version: Dev   
Hardware: All   
OS: All   
Issue Type: DEFECT Exception Reporter:
Bug Depends on:    
Bug Blocks: 268775    
Attachments: suggested changes

Description Tomas Stupka 2016-11-03 13:38:34 UTC
Reproducibility: Happens every time

most of the proxy settings are provided via the NetworkSettings API, which is based on a NetworkSettings.ProxyCredentialsProvider implementation - either the NB default or some other provided by a particular platform application. 

unfortunatelly, the ProxyCredentialsProvider.getProxyPassword(...) method does not have an equivalent in NetworkSettings and the keyring based NetworkSettings.getKeyForAuthenticationPassword() is meant to be used instead.
Comment 1 Tomas Stupka 2016-11-03 13:40:39 UTC
see issue #253369
the jdev NetworkSettings.ProxyCredentialsProvider impl isn't based on keyring
Comment 2 Tomas Stupka 2016-11-03 13:47:21 UTC
Created attachment 162747 [details]
suggested changes
Comment 3 Tomas Stupka 2016-11-03 13:59:53 UTC
> see issue #253369
> the jdev NetworkSettings.ProxyCredentialsProvider impl isn't based on keyring
wrong issue, should be issue #268775
Comment 4 Tomas Stupka 2016-11-11 09:49:33 UTC
in case nobody objects, i'll integrate right now
Comment 5 Tomas Stupka 2016-11-11 09:50:22 UTC
fixed in jet-main #e0e5a6d1b0af
Comment 6 Quality Engineering 2016-11-13 02:53:07 UTC
Integrated into 'main-silver', will be available in build *201611130001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/e0e5a6d1b0af
User: Tomas Stupka <tstupka@netbeans.org>
Log: Issue #268803 - provide proxy password via NetworkSettings